namespace ScadaLink.Commons.Entities.InboundApi;

public class ApiMethod
{
    public int Id { get; set; }
    public string Name { get; set; }
    public string Script { get; set; }
    public string? ApprovedApiKeyIds { get; set; }
    public string? ParameterDefinitions { get; set; }
    public string? ReturnDefinition { get; set; }
    public int TimeoutSeconds { get; set; }

    public ApiMethod(string name, string script)
    {
        Name = name ?? throw new ArgumentNullException(nameof(name));
        Script = script ?? throw new ArgumentNullException(nameof(script));
    }
}
